#################################################
#
#  (C) 2016 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### core (static) #############################

set( target core )

set( ${target}_SRCS
  dcopinterface.cpp dcopinterface.skel drophandler.cpp
  netaccess.cpp tellico_config.kcfgc tellico_config_addons.cpp
)

tde_save( KDE3_DCOPIDL_EXECUTABLE )
set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )
tde_add_dcop_skels( ${target}_SRCS )
tde_restore( KDE3_DCOPIDL_EXECUTABLE )

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
)


##### other data ################################
install(
  FILES tellico_config.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
install(
  FILES tellico-rename.upd tellico.upd
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update
)
install(
  PROGRAMS tellico-1-3-update.pl
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update
)
